import { Oswald } from "next/font/google";
import "../globals.css";
import { getDictionary } from "../dictionaries";

const oswald = Oswald({
  subsets: ["latin", "latin-ext"],
  variable: "--font-oswald",
});

export async function generateMetadata({ params }: { params: Promise<{ lang: string }> }) {
  const resolvedParams = await params;
  return {
    title: "Salmakis Group | Luxury Resort, Villas & Yachting",
    description: "Salmakis Group Gateway",
  };
}

export default async function RootLayout({
  children,
  params,
}: Readonly<{
  children: React.ReactNode;
  params: Promise<{ lang: string }>;
}>) {
  const resolvedParams = await params;
  return (
    <html lang={resolvedParams.lang} className={`${oswald.variable}`}>
      <body>{children}</body>
    </html>
  );
}
